
# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'linesmen/version'

Gem::Specification.new do |spec|
  spec.name          = 'linesmen'
  spec.version       = Linesmen::VERSION
  spec.authors       = ['Pedro Maciel']
  spec.email         = ['pedrozath@gmail.com']

  spec.summary       = 'Provides a way to work with complexness of time ranges.'
  spec.homepage      = 'http://github.com/cetuslabs/linesmen'
  spec.license       = 'MIT'
  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'activesupport'
  spec.add_development_dependency 'bundler',  '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 3.0'
  spec.add_development_dependency 'rake', '~> 10.0'
end
